:root {
    --main-color: #45a2e8;
    --second-color: #e8a745;
    --white: #fff;
    --light-gray: #f1f1f1;
    --gray: #ddd;
    --black: #2d2c2d;
    --black-hover: #424042;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    border: 0;
    outline: none;
    list-style: none;
    text-decoration: none;
    color: var(--black);
    font-family: 'Chivo Mono', monospace;
}

img {
    width: 100%;
}

main {
    max-width: 1280px;
    width: 90%;
    margin: 0 auto;
}

.eins-modal.eins-modal-xl>.eins-modal-content {
    max-width: 1200px;
    padding: 40px;
    border-radius: 10px;
    -webkit-border-radius: 10px;
    -moz-border-radius: 10px;
}

.top_nav {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 75px;
    padding: 20px 0;
}

.top_nav figure {
    height: 100%;
}

.top_nav figure a {
    height: 100%;
    display: flex;
    align-items: center;
    gap: 25px;
}

.top_nav figure img {
    width: auto;
    height: 100%;
}

.top_nav figure h1 {
    font-size: 1rem;
}

.top_nav ul {
    display: flex;
    gap: 25px;
}

.top_nav ul li {
    font-size: .8rem;
    margin-top: 10px;
}

.top_nav ul li:hover a {
    color: var(--main-color);
}

.frontpage_header {
    display: grid;
    grid-template-columns: repeat(12, 1fr);
    gap: 30px;
    margin-top: 0px;
    height: 500px;
}

#notifications {
    cursor: pointer;
    position: fixed;
    right: 0px;
    z-index: 9999;
    bottom: 0px;
    margin-bottom: 22px;
    margin-right: 15px;
    max-width: 300px;
}

.frontpage_header .about {
    grid-column: 1 / 8;
    padding: 50px;
    background-color: var(--light-gray);
    border-radius: 25px;
    position: relative;
    overflow: hidden;
    display: flex;
    flex-direction: column;
}

.frontpage_header .about::after {
    content: '';
    display: block;
    position: absolute;
    right: -5%;
    top: 15%;
    height: 250px;
    width: 250px;
    border-radius: 200px;
    filter: blur(50px);
    opacity: .5;
    background-color: var(--second-color);
    z-index: -1;
}

.frontpage_header .about::before {
    content: '';
    display: block;
    position: absolute;
    right: 15%;
    bottom: -15%;
    height: 350px;
    width: 350px;
    border-radius: 200px;
    filter: blur(50px);
    opacity: .25;
    background-color: var(--main-color);
    z-index: -1;
}

.frontpage_header .about h1 {
    font-size: 2rem;
    max-width: 475px;
    line-height: 46px;
}

.frontpage_header .about p {
    max-width: 475px;
    margin-top: 50px;
    line-height: 25px;
}

.frontpage_header .about ul {
    display: flex;
    gap: 25px;
    z-index: 9999;
    position: absolute;
    bottom: 50px;
}

.frontpage_header .about ul li a {
    display: block;
    height: 50px;
    width: 50px;
    border-radius: 50px;
    background-color: var(--white);
    cursor: pointer;
}

.frontpage_header .about ul li img {
    width: 25px;
    display: block;
    margin: auto;
    position: relative;
    top: 12px;
    left: 0px;
}

.frontpage_header .about ul li:first-of-type a {
    background-color: var(--black);
    width: auto;
    padding: 0 35px;
    padding-top: 14.5px;
    color: var(--white);
}

.frontpage_header .about ul li:first-of-type a:hover {
    background-color: var(--black-hover);
}

.frontpage_header .about ul li:nth-of-type(2) a:hover {
    background: #f09433;
    background: -moz-linear-gradient(45deg, #f09433 0%, #e6683c 25%, #dc2743 50%, #cc2366 75%, #bc1888 100%);
    background: -webkit-linear-gradient(45deg, #f09433 0%, #e6683c 25%, #dc2743 50%, #cc2366 75%, #bc1888 100%);
    background: linear-gradient(45deg, #f09433 0%, #e6683c 25%, #dc2743 50%, #cc2366 75%, #bc1888 100%);
    filter: progid: DXImageTransform.Microsoft.gradient( startColorstr='#f09433', endColorstr='#bc1888', GradientType=1);
}

.frontpage_header .about ul li:nth-of-type(3) a:hover {
    background-color: #0077b5;
}

.frontpage_header .about ul li a:hover img {
    filter: invert(1);
}

.frontpage_header .image {
    grid-column: 8 / 13;
}

.frontpage_header .image img {
    border-radius: 25px;
    height: 500px;
    object-fit: cover;
}

.projects {
    display: grid;
    grid-template-columns: repeat(12, 1fr);
    gap: 30px;
    margin-top: 30px;
}

.projects article {
    grid-column: span 6;
    overflow: hidden;
    border-radius: 25px;
    padding: 50px;
    height: 500px;
    position: relative;
    z-index: 0;
}

.projects article>div {
    display: grid;
    grid-template-columns: calc(100% - 50px) 50px;
}

.projects article>div span {
    display: flex;
    width: 50px;
    height: 50px;
    background-color: var(--white);
    border-radius: 50px;
    cursor: pointer;
}

.projects article>div span img {
    width: 30px;
    height: 30px;
    display: block;
    margin: auto;
    position: relative;
}

.projects article>img {
    width: 100%;
    position: relative;
    top: 25px;
    z-index: -1;
}

.projects article.dark h2,
.projects article.dark p {
    color: var(--white)
}

.projects article.inable {
    background-color: #00c8ff;
}

.projects article.indhent {
    background-color: #136aff;
    background: linear-gradient(180deg, #136aff 0%, #1b5bc7 100%);
}

.projects article.jobai {
    background-color: #443C68;
}

.projects article.ainews {
    background-color: #fed64a
}

footer {
    margin: 25px 0 25px 0;
    height: 375px;
    padding: 50px;
    background-color: var(--light-gray);
    border-radius: 25px;
    position: relative;
    overflow: hidden;
    display: flex;
    flex-direction: column;
}

footer::after {
    content: '';
    display: block;
    position: absolute;
    right: -10%;
    top: -20%;
    height: 350px;
    width: 350px;
    border-radius: 350px;
    filter: blur(50px);
    opacity: .5;
    background-color: var(--second-color);
    z-index: -1;
}

footer::before {
    content: '';
    display: block;
    position: absolute;
    right: 30%;
    bottom: -75%;
    height: 550px;
    width: 550px;
    border-radius: 550px;
    filter: blur(50px);
    opacity: .25;
    background-color: var(--main-color);
    z-index: -1;
}

footer h2 {
    font-size: 2rem;
}

footer p:first-of-type {
    max-width: 550px;
    margin-top: 50px;
    line-height: 25px;
}

footer ul {
    position: absolute;
    bottom: 50px;
    display: flex;
    gap: 25px;
    z-index: 9999;
    margin-top: 150px;
}

footer ul li a {
    display: block;
    height: 50px;
    width: 50px;
    border-radius: 50px;
    background-color: var(--white);
    cursor: pointer;
}

footer ul li img {
    width: 25px;
    display: block;
    margin: auto;
    position: relative;
    top: 12px;
    left: 0px;
}

footer ul li:first-of-type a {
    background-color: var(--black);
    width: auto;
    padding: 0 35px;
    padding-top: 14.5px;
    color: var(--white);
}

footer ul li:first-of-type a:hover {
    background-color: var(--black-hover);
}


footer ul li:nth-of-type(2) a:hover {
    background-color: #0077b5;
}

footer ul li a:hover img {
    filter: invert(1);
}

.modal_content h2 {
    font-size: 1rem;
}

.modal_content.dark h2 {
    color: var(--white);
}

.modal_content label {
    font-size: 1rem;
    display: block;
    margin: 25px 0 5px 0;
}

.modal_content.dark label {
    color: var(--white);
}

.modal_content input {
    display: block;
    padding: 0 25px;
    height: 50px;
    border: 1px solid var(--gray);
    width: 100%;
    background-color: transparent;
    border-radius: 4px;
}

.modal_content.dark input {
    color: var(--white);
}

.modal_content textarea {
    display: block;
    padding: 25px;
    height: 200px;
    border: 1px solid var(--gray);
    width: 100%;
    background-color: transparent;
    border-radius: 4px;
    resize: vertical;
}

.modal_content.dark textarea {
    color: var(--white);
}

.modal_content.case .modal_header {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.modal_content.case .modal_header a {
    padding: 10px 25px;
    border-radius: 50px;
    color: var(--white);
    background-color: var(--black);
}

.modal_content.case .modal_header a:hover {
    background-color: var(--black-hover);
}

.modal_content.case .image-split {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-gap: 50px;
}

.modal_content.case .image-split img {
    border-radius: 25px;
}

.modal_content.case h2 {
    font-size: 1.3rem;
}

.modal_content.case h3 {
    font-size: 1rem;
    margin-top: 25px;
}

.modal_content.case h4 {
    margin: 10px 0 10px 0;
}

.modal_content.case p.description {
    margin-top: 10px;
    line-height: 26px;
}

.modal_content.case .grid-3 {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 25px;
    margin-top: 25px;
}

.modal_content.case .grid-7 {
    display: grid;
    grid-template-columns: repeat(7, 1fr);
    gap: 50px;
    margin-top: 25px;
}

.modal_content button {
    padding: 15px 35px;
    border-radius: 50px;
    font-size: 1rem;
    font-weight: 500;
    background-color: var(--main-color);
    margin-top: 25px;
    cursor: pointer;
}

@media only screen and (max-width: 800px) {
    .frontpage_header {
        display: flex;
        flex-direction: column;
        height: auto;
    }
    .frontpage_header .about {
        height: 450px;
    }
    .projects {
        display: flex;
        flex-direction: column;
    }
    .modal_content.case .image-split {
        display: flex;
        flex-direction: column;
        gap: 0;
        margin: 25px 0;
    }
    .modal_content.case .image-split img {
        order: -1;
    }
    .modal_content.case .grid-3 {
        grid-template-columns: 1fr;
        gap: 50px;
    }
    .modal_content.case .grid-7 {
        grid-template-columns: repeat(3, 1fr);
    }
}

@media only screen and (max-width: 500px) {
    .top_nav {
        height: 65px;   
    }

    .top_nav figure a {
        gap: 15px;
    }
    .top_nav figure h1 {
        font-size: 0.8rem;
    }
    
    .frontpage_header .about {
        height: 500px;
        padding: 35px;
    }
    .frontpage_header .about h1, footer h2 {
        font-size: 1.2rem;
        line-height: 32px;
    }

    .frontpage_header .about p, footer p {
        margin-top: 25px;
        font-size: .9rem;
    }
    .projects article {
        height: 400px;
    }
    footer,
    .frontpage_header .about {
        height: auto;
    }
    footer ul,
    .frontpage_header .about ul {
        margin-top: 35px;
        position: static;
        gap: 10px;
    }

    .frontpage_header .image img {
        height: 300px;
    }

    .projects article {
        padding: 35px;
        height: 350px;
    }
    .projects article>div {
        grid-template-columns: calc(100% - 40px) 30px;
        gap: 10px;
    }

    .projects article > div h2 {
        font-size: 1.1rem;
    }

    .projects article > div p {
        font-size: 0.9rem;
    }
    .modal_content.case .grid-7 {
        grid-template-columns: repeat(2, 1fr);
    }
    .modal_content.case .modal_header {
        flex-direction: column;
        align-items: flex-start;
        gap: 25px;
        margin-bottom: 25px;
    }

    .modal_content.case p {
        font-size: 0.8rem;
        line-height: 26px;
    }

    .eins-modal.eins-modal-xl>.eins-modal-content {
        padding: 25px;
    }

    footer {
        padding: 35px;
    }

    footer p:not(:first-of-type) {
        margin-top: 10px;
    }

    footer p:first-of-type {
        margin-top: 35px;
    }
}